/* axmodem.c
 *
 * Copyright (C) 2001 RedHat, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */
/*
 * Modified for SIKIGAMI 2001,2002 Axe,Inc.
 */

#ifndef __AXMODEM_H__
#define __AXMODEM_H__

#include <termios.h>
#include "axstream.h"

typedef	struct _AxModemBase AxModemBase;

struct _AxModemBase 
{
		int		fd;
		int		errnum;
		int		isbase;
    struct termios	t;
    int		baud;
    int	 	die_fast;
};
    
extern	void		AxModemBase_init( AxModemBase * );
extern	void		AxModemBase_init_valued( AxModemBase *, int );
extern	void	  AxModemBase_clear( AxModemBase * );
extern	int			AxModemBase_get_real_speed( AxModemBase * );
extern	void		AxModemBase_close( AxModemBase * );
extern  int			AxModemBase_carrier( AxModemBase * );
extern	int			AxModemBase_speed( AxModemBase * );
extern	void		AxModemBase_hangup( AxModemBase * );
extern	int			AxModemBase_getspeed( AxModemBase * );
extern	int			AxModemBase_isok( AxModemBase * );

typedef	struct	_AxModem AxModem;

struct _AxModem
{
		int		fd;
		int		errnum;
		int		isbase;
    struct termios	t;
    int		baud;
    int 	die_fast;

    struct termios	old_t;
    int		closing;
};

extern void		AxModem_init_valued( AxModem *, char *, int );
extern void		AxModem_clear( AxModem * );
extern void		AxModem_setup_modem( AxModem * );
extern int		AxModem_getstatus( AxModem * );
extern void		AxModem_close( AxModem * );
extern int		AxModem_speed( AxModem *, int );
extern int		AxModem_carrier( AxModem * );
extern int		AxModem_isok( AxModem * );

#endif
