/* axpipe.h
 *
 * Copyright (C) 2001 RedHat, Inc.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */
/*
 * Modified for SIKIGAMI 2001,2002 Axe,Inc.
 */

#ifndef __AXPIPE_H__
#define __AXPIPE_H__

#include <sys/types.h>
#include <sys/wait.h>

typedef	struct _AxPipe AxPipe;

struct _AxPipe
{
		int	fd;
    pid_t pid;
    int estatus;
		int errnum;
};

extern void AxPipe_init_valued(AxPipe*,const char*,const char**,int,int,int,int,int,int);
extern void AxPipe_clear( AxPipe * );
    
extern void AxPipe_setup(AxPipe*,const char*,const char**,int,int,int,int,int,int);
    
extern void AxPipe_kill( AxPipe*, int);
    
extern int AxPipe_finish(AxPipe*);

extern int AxPipe_child_exited(AxPipe*);

extern int AxPipe_child_killed(AxPipe*);
    
extern int AxPipe_exit_status(AxPipe*);

#endif
