/* sgdruid.h
 * Copyright (C) 2002  Axe, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __SG_DRUID_H__
#define __SG_DRUID_H__

#include <gtk/gtk.h>
//#include <gnome-druid-page.h>

BEGIN_GNOME_DECLS

#define GNOME_TYPE_SGDRUID            (gnome_sgdruid_get_type ())
#define GNOME_SGDRUID(obj)            (GTK_CHECK_CAST ((obj), GNOME_TYPE_SGDRUID, GnomeSgDruid))
#define GNOME_SGDRUID_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), GNOME_TYPE_SGDRUID, GnomeSgDruidClass))
#define GNOME_IS_SGDRUID(obj)         (GTK_CHECK_TYPE ((obj), GNOME_TYPE_SGDRUID))
#define GNOME_IS_SGDRUID_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GNOME_TYPE_SGDRUID))


typedef struct _GnomeSgDruid       GnomeSgDruid;
typedef struct _GnomeSgDruidClass  GnomeSgDruidClass;

struct _GnomeSgDruid
{
	GnomeDruid parent;
	GtkWidget *back;
	GtkWidget *next;
	GtkWidget *cancel;
	GtkWidget *finish;

	/*< private >*/
	GnomeDruidPage *current;
	GList *children;
	gboolean show_finish; /* if TRUE, then we are showing the finish button instead of the next button */
};
struct _GnomeSgDruidClass
{
	GnomeDruidClass parent_class;
	
	void     (*cancel)	(GnomeSgDruid *druid);
};


GtkType    gnome_sgdruid_get_type              (void);
GtkWidget *gnome_sgdruid_new                   (void);

END_GNOME_DECLS

#endif /* __GNOME_SGDRUID_H__ */
